Page MenuHomePhabricator

Migrate Differential repo rWIEG back to Gerrit wikimedia/iegreview.git
Closed, ResolvedPublic

Description

Basically undo T132174: Migrate wikimedia-iegreview to Differential.

Wikimedia-IEG-grant-review was an early adopter of Differential in anticipation of all Wikimedia projects migrating to it. Now that the use of Differential has been ruled out as a global goal (T119908#4033567) we should return to Gerrit.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2018, 3:33 AM
Paladox moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Dec 14 2018, 9:11 PM

Change 480907 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[wikimedia/iegreview@master] Revert "Remove .gitreview"

https://gerrit.wikimedia.org/r/480907

Change 480908 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Revert "Remove wikimedia/iegreview (moved to Phabricator)"

https://gerrit.wikimedia.org/r/480908

Change 480908 merged by jenkins-bot:
[integration/config@master] Revert "Remove wikimedia/iegreview (moved to Phabricator)"

https://gerrit.wikimedia.org/r/480908

Legoktm closed this task as Resolved.Dec 20 2018, 5:20 AM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

I re-activated wikimedia/iegreview.git on Gerrit, and swapped Phabricator to mirror from it.

And re-enabled CI, except the PHP 7.0 tests are failing so patches can't be merged. I've left the tests enabled for now, please file a bug in Continuous-Integration-Config if the configuration needs adjustment.

21:17:22 1) Wikimedia\IEGReview\ArrayTest::testDifferenceException with data set #0 ('Lorem Ipsum', 'Ipsum Test')
21:17:22 Failed asserting that exception of type "TypeError" matches expected exception "PHPUnit_Framework_Error".
21:17:22 
21:17:22 2) Wikimedia\IEGReview\ArrayTest::testDifferenceException with data set #1 ('', '')
21:17:22 Failed asserting that exception of type "TypeError" matches expected exception "PHPUnit_Framework_Error".

Change 480907 merged by jenkins-bot:
[wikimedia/iegreview@master] Revert "Remove .gitreview"

https://gerrit.wikimedia.org/r/480907